import layoutHeaderAside from '@/layout/header-aside'

const meta = { requiresAuth: true }

export default {
  path: '/demo/element',
  name: 'demo-element',
  meta,
  redirect: { name: 'demo-element-index' },
  component: layoutHeaderAside,
  children: (pre => [
    { path: 'basic-layout', name: `${pre}basic-layout`, component: () => import('@/pages/demo/element/basic-layout'), meta: { ...meta, title: 'Element 布局' } },
    { path: 'basic-container', name: `${pre}basic-container`, component: () => import('@/pages/demo/element/basic-container'), meta: { ...meta, title: 'Element 布局容器' } },
    { path: 'basic-color', name: `${pre}basic-color`, component: () => import('@/pages/demo/element/basic-color'), meta: { ...meta, title: 'Element 色彩' } },
    { path: 'basic-typography', name: `${pre}basic-typography`, component: () => import('@/pages/demo/element/basic-typography'), meta: { ...meta, title: 'Element 字体' } },
    { path: 'basic-icon', name: `${pre}basic-icon`, component: () => import('@/pages/demo/element/basic-icon'), meta: { ...meta, title: 'Element 图标' } },
    { path: 'basic-button', name: `${pre}basic-button`, component: () => import('@/pages/demo/element/basic-button'), meta: { ...meta, title: 'Element 按钮' } },
    { path: 'form-radio', name: `${pre}form-radio`, component: () => import('@/pages/demo/element/form-radio'), meta: { ...meta, title: 'Element 单选框' } },
    { path: 'form-checkbox', name: `${pre}form-checkbox`, component: () => import('@/pages/demo/element/form-checkbox'), meta: { ...meta, title: 'Element 多选框' } },
    { path: 'form-input', name: `${pre}form-input`, component: () => import('@/pages/demo/element/form-input'), meta: { ...meta, title: 'Element 输入框' } },
    { path: 'form-input-number', name: `${pre}form-input-number`, component: () => import('@/pages/demo/element/form-input-number'), meta: { ...meta, title: 'Element 计数器' } },
    { path: 'form-select', name: `${pre}form-select`, component: () => import('@/pages/demo/element/form-select'), meta: { ...meta, title: 'Element 选择器' } },
    { path: 'form-cascader', name: `${pre}form-cascader`, component: () => import('@/pages/demo/element/form-cascader'), meta: { ...meta, title: 'Element 级联选择器' } },
    { path: 'form-switch', name: `${pre}form-switch`, component: () => import('@/pages/demo/element/form-switch'), meta: { ...meta, title: 'Element 开关' } },
    { path: 'form-slider', name: `${pre}form-slider`, component: () => import('@/pages/demo/element/form-slider'), meta: { ...meta, title: 'Element 滑块' } },
    { path: 'form-time-picker', name: `${pre}form-time-picker`, component: () => import('@/pages/demo/element/form-time-picker'), meta: { ...meta, title: 'Element 时间选择器' } },
    { path: 'form-date-picker', name: `${pre}form-date-picker`, component: () => import('@/pages/demo/element/form-date-picker'), meta: { ...meta, title: 'Element 日期选择器' } },
    { path: 'form-datetime-picker', name: `${pre}form-datetime-picker`, component: () => import('@/pages/demo/element/form-datetime-picker'), meta: { ...meta, title: 'Element 时间日期选择器' } },
    { path: 'form-upload', name: `${pre}form-upload`, component: () => import('@/pages/demo/element/form-upload'), meta: { ...meta, title: 'Element 上传' } },
    { path: 'form-rate', name: `${pre}form-rate`, component: () => import('@/pages/demo/element/form-rate'), meta: { ...meta, title: 'Element 评分' } },
    { path: 'form-color-picker', name: `${pre}form-color-picker`, component: () => import('@/pages/demo/element/form-color-picker'), meta: { ...meta, title: 'Element 颜色选择器' } },
    { path: 'form-transfer', name: `${pre}form-transfer`, component: () => import('@/pages/demo/element/form-transfer'), meta: { ...meta, title: 'Element 穿梭框' } },
    { path: 'form-form', name: `${pre}form-form`, component: () => import('@/pages/demo/element/form-form'), meta: { ...meta, title: 'Element 表单' } },
    { path: 'data-table', name: `${pre}data-table`, component: () => import('@/pages/demo/element/data-table'), meta: { ...meta, title: 'Element 表格' } },
    { path: 'data-tag', name: `${pre}data-tag`, component: () => import('@/pages/demo/element/data-tag'), meta: { ...meta, title: 'Element 标签' } },
    { path: 'data-progress', name: `${pre}data-progress`, component: () => import('@/pages/demo/element/data-progress'), meta: { ...meta, title: 'Element 进度条' } },
    { path: 'data-tree', name: `${pre}data-tree`, component: () => import('@/pages/demo/element/data-tree'), meta: { ...meta, title: 'Element 树形控件' } },
    { path: 'data-pagination', name: `${pre}data-pagination`, component: () => import('@/pages/demo/element/data-pagination'), meta: { ...meta, title: 'Element 分页' } },
    { path: 'data-badge', name: `${pre}data-badge`, component: () => import('@/pages/demo/element/data-badge'), meta: { ...meta, title: 'Element 标记' } },
    { path: 'notice-alert', name: `${pre}notice-alert`, component: () => import('@/pages/demo/element/notice-alert'), meta: { ...meta, title: 'Element 警告' } },
    { path: 'notice-loading', name: `${pre}notice-loading`, component: () => import('@/pages/demo/element/notice-loading'), meta: { ...meta, title: 'Element 加载' } },
    { path: 'notice-message', name: `${pre}notice-message`, component: () => import('@/pages/demo/element/notice-message'), meta: { ...meta, title: 'Element 消息提示' } },
    { path: 'notice-message-box', name: `${pre}notice-message-box`, component: () => import('@/pages/demo/element/notice-message-box'), meta: { ...meta, title: 'Element 弹框' } },
    { path: 'notice-notification', name: `${pre}notice-notification`, component: () => import('@/pages/demo/element/notice-notification'), meta: { ...meta, title: 'Element 通知' } },
    { path: 'navigation-menu', name: `${pre}navigation-menu`, component: () => import('@/pages/demo/element/navigation-menu'), meta: { ...meta, title: 'Element 导航菜单' } },
    { path: 'navigation-tabs', name: `${pre}navigation-tabs`, component: () => import('@/pages/demo/element/navigation-tabs'), meta: { ...meta, title: 'Element 标签页' } },
    { path: 'navigation-breadcrumb', name: `${pre}navigation-breadcrumb`, component: () => import('@/pages/demo/element/navigation-breadcrumb'), meta: { ...meta, title: 'Element 面包屑' } },
    { path: 'navigation-dropdown', name: `${pre}navigation-dropdown`, component: () => import('@/pages/demo/element/navigation-dropdown'), meta: { ...meta, title: 'Element 下拉菜单' } },
    { path: 'navigation-steps', name: `${pre}navigation-steps`, component: () => import('@/pages/demo/element/navigation-steps'), meta: { ...meta, title: 'Element 步骤条' } },
    { path: 'others-dialog', name: `${pre}others-dialog`, component: () => import('@/pages/demo/element/others-dialog'), meta: { ...meta, title: 'Element 对话框' } },
    { path: 'others-tooltip', name: `${pre}others-tooltip`, component: () => import('@/pages/demo/element/others-tooltip'), meta: { ...meta, title: 'Element 文字提示' } },
    { path: 'others-popover', name: `${pre}others-popover`, component: () => import('@/pages/demo/element/others-popover'), meta: { ...meta, title: 'Element 弹出框' } },
    { path: 'others-card', name: `${pre}others-card`, component: () => import('@/pages/demo/element/others-card'), meta: { ...meta, title: 'Element 卡片' } },
    { path: 'others-carousel', name: `${pre}others-carousel`, component: () => import('@/pages/demo/element/others-carousel'), meta: { ...meta, title: 'Element 走马灯' } },
    { path: 'others-collapse', name: `${pre}others-collapse`, component: () => import('@/pages/demo/element/others-collapse'), meta: { ...meta, title: 'Element 折叠面板' } },
    { path: 'index', name: `${pre}index`, component: () => import('@/pages/demo/element/index'), meta: { ...meta, title: 'ElementUI' } }
  ])('demo-element-')
}
